import '../../resources/stylesheets/product-market.css';

import React, { Component } from 'react'

export default class ProductMarket extends Component {
  constructor(props) {
    super(props)
    this.state = {}
  }

  componentDidMount() {
    this.props.getProducts();
    this.props.getPromotions();
  }

  calculateDiscount(price, discount) {
    return (price * (1.00 - discount / 100)).toFixed(2);
  }
  
  render() {
    let products = this.props.products;
    let promotions = this.props.promotions;
    
    products.forEach(prod => {
      promotions.forEach(promo => {
        if (prod.sku === promo.productSku) {
          debugger
          prod.promo = promo.discountPercentage;
        }
      });
    });
    
    return (
      <div>
        {this.props.products.map(prod => {
          return (
            prod.productName ? 
            <div key={ prod.sku }>
              <p>{ prod.productName }</p>
              <p>{ prod.productDescription }</p>
              <p>${ prod.price }</p>
              <p>
                { prod.promo  ? "This has a promotion for " 
                              + prod.promo 
                              + "% off, making it now " 
                              + this.calculateDiscount(prod.price, prod.promo) 
                              + "!" :  "" }
              </p>
              <button>Add to Cart</button>
              <p>_________________________________</p>
            </div> : ""
          )
        })}
      </div>
    )
  }
}
